Events
Get events
Retrieve a paginated list of all events emitted on Starknet with optional filtering. Note: The contract parameter cannot be mixed with blockHash or txnHash parameters.
GET
/
events
Get events
curl --request GET \
--url https://public-api.voyager.online/beta/events \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/events")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"blockNumber": 1655808,
"transactionNumber": 32,
"number": 3,
"fromAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"classHash": "0x04ad3c1dc8413453db314497945b6903e1c766495a1e60492d44da9c2a986e4b",
"transactionHash": "0x3b3fd52c420eb1c0e7a603a650ddae85ead91ad6bc6f8d1df41c020da5576ad",
"blockId": "undefined",
"timestamp": 1753890838,
"id": "12345678",
"classAlias": null,
"contractAlias": "StarkGate: STRK Token",
"name": "Transfer",
"nestedName": "Transfer",
"nestedEventNames": [],
"selector": "0x99cd8bde557814842a3121e8ddfd433a539b8c9f14bf31ebf108d12e6196e9",
"dataDecoded": [
{
"name": "from",
"value": "0x7162c947255d60a03b935f7f708a5d50a27294fe6aeff3f5ce22865ddf5aab",
"type": "core::starknet::contract_address::ContractAddress"
},
{
"name": "to",
"value": "0x1176a1bd84444c89232ec27754698e5d2e7e1a7f1539f12027f28b23ec9f3d8",
"type": "core::starknet::contract_address::ContractAddress"
},
{
"name": "value",
"value": "0x116cc1b1ef3500",
"type": "core::integer::u256"
}
],
"keyDecoded": []
}
],
"lastPage": 1
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Page number. Defaults to 1.
Number of items per page. Available options: 10, 25, 50, 100.
Filter by contract address. Mutually exclusive with blockHash and txnHash — providing both returns 400.
Pattern:
^(0x[0-9a-fA-F]{1,66})$Filter by transaction hash. Mutually exclusive with contract — providing both returns 400.
Pattern:
^(0x[0-9a-fA-F]{1,66})$Filter by block hash. Mutually exclusive with contract — providing both returns 400.
Pattern:
^(0x[0-9a-fA-F]+|pre_confirmed)$⌘I
Get events
curl --request GET \
--url https://public-api.voyager.online/beta/events \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/events")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"blockNumber": 1655808,
"transactionNumber": 32,
"number": 3,
"fromAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"classHash": "0x04ad3c1dc8413453db314497945b6903e1c766495a1e60492d44da9c2a986e4b",
"transactionHash": "0x3b3fd52c420eb1c0e7a603a650ddae85ead91ad6bc6f8d1df41c020da5576ad",
"blockId": "undefined",
"timestamp": 1753890838,
"id": "12345678",
"classAlias": null,
"contractAlias": "StarkGate: STRK Token",
"name": "Transfer",
"nestedName": "Transfer",
"nestedEventNames": [],
"selector": "0x99cd8bde557814842a3121e8ddfd433a539b8c9f14bf31ebf108d12e6196e9",
"dataDecoded": [
{
"name": "from",
"value": "0x7162c947255d60a03b935f7f708a5d50a27294fe6aeff3f5ce22865ddf5aab",
"type": "core::starknet::contract_address::ContractAddress"
},
{
"name": "to",
"value": "0x1176a1bd84444c89232ec27754698e5d2e7e1a7f1539f12027f28b23ec9f3d8",
"type": "core::starknet::contract_address::ContractAddress"
},
{
"name": "value",
"value": "0x116cc1b1ef3500",
"type": "core::integer::u256"
}
],
"keyDecoded": []
}
],
"lastPage": 1
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}